Home

# Class goog.ds.JsXmlHttpDataSource

Similar to JsonDataSource, with using XMLHttpRequest for transport Currently requires the result be a JS object that can be evaluated and set to a variable and doesn't require strict JSON notation.

extends goog.ds.FastDataNode

Instance Method Summary
| `completed_(?goog.events.Event e)` Completed callback. Loads data if successful, otherwise sets state to FAILED
| `getLoadState() ⇒ ?goog.ds.LoadState` Gets the state of the backing data for this node
| `load()` Load or reload the backing data for this node. Fires the JsonDataSource
| `setQueryData(string data)` Sets the request data. This can be used if it is required to send a specific body rather than build the body from the query parameters. Only used in POST requests.
| `success_()` Called on successful request.